Fetch all users
- GET /users
Fetches all available users.
Query Parameters
-
include_disabledboolean · default: false True if disabled users should be included in the response
Response
Users successfully fetched
-
usersUserrequired -
A list of users
-
user_namestringrequired -
The user's identifier
-
securityUserSecurityrequired -
A user's security information
-
rolesstring -
The set of roles assigned to a user
-
permissionsstring -
The distinct set of permissions allowed by the user's roles. These correspond to operationId values in the OpenAPI definition.
-
elevated_permissionsElevatedPermissions -
A user's elevated permissions status
-
enabledbooleanrequired -
True if the user has elevated permissions
-
expires_atstring -
The time at which the user's elevated permissions expire
-
passwordstring -
The user's password. Only used when modifying a user.
-
enabledboolean -
True if the user is enabled
-
security_realmUserSecurityRealm -
The security realm the user belongs to
-
metadataUserMetadata -
Metadata for a user
-
created_bystring -
The Id of the user that created this user
-
created_atstring -
The date and time when the user was created
-
updated_bystring -
The Id of the user that last updated this user
-
updated_atstring -
The date and time when the user was last updated
-
first_login_atstring -
The date and time when the user first logged in
-
last_login_atstring -
The date and time when the user last logged in
-
full_namestring -
The user's optional full name
-
emailstring -
The user's optional email address
-
builtinboolean -
True if the user is a built-in read-only user